<template lang="pug">
  div.discord.container
    el-row(justify="center" align="middle" type="flex")
      h1 #[span.highlight Coco]: The Auto-Gallery
    el-row( justify="center" align="middle" type="flex")
      el-row.login.card(justify="center" type="flex")
        el-card
          el-row(justify="center" align="middle" type="flex")
            h2 #[i.bx.bx-question-mark] Help
          el-row(justify="center" align="middle" type="flex")
            el-divider
          el-row(justify="center" align="middle" type="flex")
            p This page will explain what each field does in the settings.
          el-row(justify="left" align="middle" type="block")
            el-card
              h2 Settings
              p Let's explain what each field in the settings page does.
              el-card
                h3 Basic
                h4 Active
                p Toggles if the channel pair is treated as active or not. If it's deactivated, posts will not be sent to it or processed for it.
                h4 Name
                p An arbitrary name you can give to your channel pair so it's easier for you to differentiate them. It can be whatever you want.
              el-card
                h3 Channels
                p Channel pairs are called that because they consist of a SFW and NSFW pair of channels/webhooks.
                p The Safe channel receives SFW posts, and the NSFW channel receives NSFW posts.
                p Please check the tags section below to learn how it is determined what is and isn't NSFW.
              el-card
                h3 Tags
                h4 NSFW
                p NSFW tags determine if a post is treated as NSFW. If a post contains any of the tags in this list, it's marked NSFW.
                h4 Excluded
                p These tags will completely prevent a post from being processed. If a post contains any one of these, it gets skipped.
                h4 Required
                p Lists tags that a post MUST have in order to be processed.
                p This is an "and" chek, meaning that a post needs to have ALL of these in order to be processed.
                h4 Ratings
                p Posts have ratings which are usually 3 types: Safe, Questionable and Explicit.
                p Posts that are marked Safe are always treated as SFW, similarly, those that are rated Explicit are always treated as NSFW.
                p If a post is marked Questionable, it's sent for processing against NSFW tags from above.
                p This field lets you choose which ratings should be processed from posts, letting you completely filter our specific ones.
              el-card
                h3 Sources
                h4 Sites
                p You can check which services to monitor for new posts.
                p In case of Reddit it requires a little bit more setting from below.
                h4 Subreddits
                p These are for use with the Reddit source.
                p You can enter subreddit names (excluding the "/r") to monitor for new posts here.
                p Due to reddit not having tags, these are never Questionable, but Safe or Explicit based on their settings.
              el-card
                h3 Margins
                p Margins let you add a bit more control or delay to post processing.
                p This was introduced because post tags and details are community-driven, meaning it might require time for them to be properly tagged.
                h4 Active Only
                p Some services have a "posted" status on their posts, meaning they're ready for the public this check makes that required.
                h4 Min. Age
                p How long it has to pass since a post gets created for it to be sent for processing.
                h4 Min. Score
                p Sources can rate their posts with up/down votes, this lets you filter out posts under a specific score.

</template>

<style lang="scss" scoped>
.hidden {
  display: none;
}

.login {
  &.container {
    margin: 5rem 0;
  }
}

.help {
  &.button {
    &:hover {
      color: #6040FF;
    }
  }
}

</style>
